Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Get vacation request history

Returns a paginated list of all vacation requests for the current employee.

What is returned:

  • Complete history of all vacation requests (past and future)
  • Request dates, status, and approval information
  • Reason for vacation (if provided)
  • Who approved/rejected and when

Note: This endpoint is only available for employee accounts. Supports server-side pagination, sorting, and filtering via grid query parameters.

GET/account/employee/vacations/history
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Query parameters
pagenumber

Page number (1-based)

pageSizenumber

Number of items per page

viewIdstring

View identifier for saved grid configurations

filtersstring

JSON string containing filter configuration.

Available Fields:

  • id (string): Vacation request ID
  • dateFrom (date): Vacation start date
  • dateTo (date): Vacation end date
  • status (set): Vacation request status
  • employeeId (string): Employee ID
  • statusChangedAt (date): Status change timestamp
  • statusChangedBy (string): User ID who changed status

Filter Structure:

[
  {
    "type": "string|number|date|set|boolean|array|task_status|task_type",
    "fieldName": "field_name",
    "value": {
      "comparison": "comparison_type",
      "value": "filter_value"
    }
  }
]

Group Filters (AND/OR Combinations):

[
  {
    "type": "group",
    "fieldName": "group0.18807479823070028",
    "value": {
      "type": "or",
      "filters": [
        {
          "type": "string",
          "fieldName": "fileName",
          "value": {
            "comparison": "contain",
            "value": "aa"
          }
        },
        {
          "type": "number",
          "fieldName": "rowCount",
          "value": {
            "comparison": ">=",
            "value": 33
          }
        }
      ]
    }
  }
]

Available Comparison Operators:

  • id (string): Vacation request ID (string filter). Available comparisons: contain, not_contain, equal, starts_with, ends_with, is_empty, is_not_empty
  • dateFrom (date): Vacation start date (date filter). Available comparisons: equal, not_equal, >, <, >=, <=, between, lastMonth, thisMonth, is_empty, is_not_empty
  • dateTo (date): Vacation end date (date filter). Available comparisons: equal, not_equal, >, <, >=, <=, between, lastMonth, thisMonth, is_empty, is_not_empty
  • status (set): Vacation request status (set filter). Available comparisons: in, not_in, is_empty, is_not_empty
  • employeeId (string): Employee ID (string filter). Available comparisons: contain, not_contain, equal, starts_with, ends_with, is_empty, is_not_empty
  • statusChangedAt (date): Status change timestamp (date filter). Available comparisons: equal, not_equal, >, <, >=, <=, between, lastMonth, thisMonth, is_empty, is_not_empty
  • statusChangedBy (string): User ID who changed status (string filter). Available comparisons: contain, not_contain, equal, starts_with, ends_with, is_empty, is_not_empty

Note: Use quickSearch parameter for simple text search instead of adding it to filters.

sortstring

JSON array of sort objects.

Sortable Fields:

  • id: Vacation request ID
  • dateFrom: Vacation start date
  • dateTo: Vacation end date
  • status: Vacation request status
  • employeeId: Employee ID
  • statusChangedAt: Status change timestamp
  • statusChangedBy: User ID who changed status

Sort Structure:

[
  {
    "field": "field_name",
    "direction": "asc|desc"
  }
]

Default Sort: dateFrom (desc)

fieldsToReturnstring[]

Comma-separated list of field names to include in response items. If not provided, all fields are returned.

Available Fields: id, dateFrom, dateTo, status, employeeId, statusChangedAt, statusChangedBy, reason

Responses
200
itemsVacationHistoryResponse[]required
Show properties
Array of VacationHistoryResponse
dateFromstringrequired
dateTostringrequired
employeeIdstringrequired
idstringrequired
reasonstring | nullrequired
statusstringrequired
Allowed:PendingApprovedRejected
statusChangedAtstring | nullrequired
statusChangedBystring | nullrequired
pagenumberrequired
pageSizenumberrequired
totalnumberrequired
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

404

Employee not found

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://leadtime.app/api/public/account/employee/vacations/history" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "items": [
    {
      "dateFrom": "2024-06-01T00:00:00.000Z",
      "dateTo": "2024-06-05T00:00:00.000Z",
      "employeeId": "123e4567-e89b-12d3-a456-426614174001",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "reason": "Family vacation",
      "status": "Approved",
      "statusChangedAt": "2024-06-02T10:30:00.000Z",
      "statusChangedBy": "John Doe"
    }
  ],
  "page": 1,
  "pageSize": 10,
  "total": 50
}